Name:           mstore
Version:        0.3.0
Release:        1%{?dist}
Summary:        Molecular structure store for testing 
License:        Apache-2.0
URL:            https://github.com/grimme-lab/mstore
Source0:        https://github.com/grimme-lab/mstore/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc-gfortran
BuildRequires:  mctc-lib-devel

%description
Molecular structure store for testing

%package devel
Summary:       Development headers for mstore

%description devel
This package contains the development headers for mstore.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install
# Move Fortran modules to the right place
mkdir -p %{buildroot}%{_libdir}/gfortran/modules
mv %{buildroot}%{_includedir}/mstore/gcc-*/*.mod %{buildroot}%{_libdir}/gfortran/modules
# Remove static library
\rm %{buildroot}%{_libdir}/libmstore.a

%check
%meson_test

%files
%license LICENSE
%doc README.md
%{_libdir}/libmstore.so.*
%{_bindir}/mstore-info

%files devel
%{_libdir}/libmstore.so
%{_libdir}/gfortran/modules/mstore*.mod
%{_libdir}/pkgconfig/mstore.pc

%changelog
* Fri Sep 06 2024 Susi Lehtola <susi.lehtola@iki.fi>
- First release
